rm(list = ls()) 
library(foreign) 
setwd("C:/0.1.ShinGooKang/MyPapers/Median+Welfare/2010JOP_DataReplication")

#############################################################
# Figures of Manuscripts on Representation and Responsiveness
#############################################################

ttdata = read.csv("ttnzvid.csv")
names(ttdata)
attach(ttdata)

par(mfrow=c(1,2))
plot(year, avttnzr3,
    type="l",
    ylim =c(5,20),
    xlab="Year",
    ylab="Tax and Trasfer Spending")
    #, main="Redistributive Welfare Spending by Electoral System")    
points(year,avttnzr3,pch=19)

lines(year,avsmttnzr3,lty=2)
points(year,avsmttnzr3,pch=23)

lines(year,avprttnzr3,lty=3)
points(year,avprttnzr3,pch=22)

legend(locator(1), 
    legend=c('All countries',
            'PR systems',
            'SMD systems'),
    lty=c(1,3,2),
    pch=c(19,22,23))

plot(year, avvidr3,
    type="l",
    ylim =c(40,70),
    xlab="Year",
    ylab="Median Voter")
    #, main="Median Voter Ideological Position by Electoral System")    
points(year,avvidr3,pch=19)

lines(year,avsmvidr3,lty=2)
points(year,avsmvidr3,pch=23)

lines(year,avprvidr3,lty=3)
points(year,avprvidr3,pch=22)

legend(locator(1), 
    legend=c('All countries',
            'PR systems',
            'SMD systems'),
    lty=c(1,3,2),
    pch=c(19,22,23))


###########################################################################
# Supplementary Figure for Manuscripts on Representation and Responsiveness
###########################################################################

ttctry = read.csv("ttnzcountry.csv")
names(ttctry)
attach(ttctry)

ttus  = ttctry$ttnz[ttctry$ctry==1]
ttfra = ttctry$ttnz[ttctry$ctry==4]
ttuk  = ttctry$ttnz[ttctry$ctry==6]
ttcan = ttctry$ttnz[ttctry$ctry==7]
ttaur = ttctry$ttnz[ttctry$ctry==20]
ttnz = ttctry$ttnz[ttctry$ctry==21]

ttger = ttctry$ttnz[ttctry$ctry==3]
ttita = ttctry$ttnz[ttctry$ctry==5]
ttaus = ttctry$ttnz[ttctry$ctry==8]
ttbel = ttctry$ttnz[ttctry$ctry==9]
ttden = ttctry$ttnz[ttctry$ctry==10]
ttfin = ttctry$ttnz[ttctry$ctry==11]
ttire = ttctry$ttnz[ttctry$ctry==13]
ttnet = ttctry$ttnz[ttctry$ctry==14]
ttnor = ttctry$ttnz[ttctry$ctry==15]
ttswe = ttctry$ttnz[ttctry$ctry==18]
ttswi = ttctry$ttnz[ttctry$ctry==19]

year = seq(1962,1991,1)

########################################################################################### SMD systems
plot(year, ttus,
    type="l",
    ylim =c(5,30),
    xlab="Year",
    ylab="Tax and Trasfer Spending")
    #, main="Redistributive Welfare Spending by SMD Electoral System")    
points(year,ttus,pch=1)

lines(year,ttfra,lty=2)
points(year,ttfra,pch=2)

lines(year,ttuk,lty=3)
points(year,ttuk,pch=3)

lines(year,ttcan,lty=4)
points(year,ttcan,pch=4)

lines(year,ttaur,lty=5)
points(year,ttaur,pch=5)

lines(year,ttnz,lty=6)
points(year,ttnz,pch=6)

legend(locator(1), 
    legend=c('France',
            'NZ',
            'UK',
            'Canada',
            'US',
            'Australia'),
    lty=c(2,6,3,4,1,5),
    pch=c(2,6,3,4,1,5))

########################################################################################### PR systems
plot(year, ttger,
    type="l",
    ylim =c(5,30),
    xlab="Year",
    ylab="Tax and Trasfer Spending")
    #, main="Redistributive Welfare Spending by PR Electoral System")    
points(year,ttger,pch=1)

lines(year,ttita,lty=2)
points(year,ttita,pch=2)

lines(year,ttaus,lty=3)
points(year,ttaus,pch=3)

lines(year,ttbel,lty=4)
points(year,ttbel,pch=4)

lines(year,ttden,lty=5)
points(year,ttden,pch=5)

lines(year,ttfin,lty=6)
points(year,ttfin,pch=6)

lines(year,ttire,lty=7)
points(year,ttire,pch=7)

lines(year,ttnet,lty=8)
points(year,ttnet,pch=8)

lines(year,ttnor,lty=9)
points(year,ttnor,pch=9)

lines(year,ttswe,lty=10)
points(year,ttswe,pch=10)

lines(year,ttswi,lty=11)
points(year,ttswi,pch=11)

legend(locator(1), 
    legend=c('Germany',
            'Italy',
            'Austria',
            'Belgium',
            'Denmark',
            'Finland',
            'Ireland',
            'Netherlands',
            'Norway',
            'Sweden',
            'Switzerland'),
    lty=c(1:11),
    pch=c(1:11))
